<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="AVLoadingIndicatorView">
        <attr name="minWidth" format="dimension" />
        <attr name="maxWidth" format="dimension"/>
        <attr name="minHeight" format="dimension" />
        <attr name="maxHeight" format="dimension"/>
        <attr name="indicatorName" format="string"/>
        <attr name="indicatorColor" format="color"/>
    </declare-styleable>


    <declare-styleable name="PatternView">
        <!-- Defines the row count of the pattern. -->
        <attr name="pl_rowCount" format="integer" />
        <!-- Defines the column count of the pattern. -->
        <attr name="pl_columnCount" format="integer" />
        <!-- Defines the aspect to use when drawing PatternView. -->
        <attr name="pl_aspect">
            <!-- Square; the default value. -->
            <enum name="square" value="0" />
            <enum name="lock_width" value="1" />
            <enum name="lock_height" value="2" />
        </attr>
        <!-- Defines the regular pattern color. -->
        <attr name="pl_regularColor" format="color|reference" />
        <!-- Defines the error color. -->
        <attr name="pl_errorColor" format="color|reference" />
        <!-- Defines the success color. -->
        <attr name="pl_successColor" format="color|reference"/>
    </declare-styleable>

</resources>